Debian Bug report logs - #597088
debian-installer: Failed to create a file system with kfreebsd-amd64

version graph

Package: kfreebsd-8; Maintainer for kfreebsd-8 is GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>;

Reported by: "Nelson A. de Oliveira" <naoliv@debian.org>

Date: Thu, 16 Sep 2010 13:03:02 UTC

Severity: normal

Tags: d-i, squeeze

Merged with 593733, 602129

Fixed in version 8.3-7+rm

Done: Debian FTP Masters <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, naoliv@debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#597088; Package debian-installer. (Thu, 16 Sep 2010 13:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Nelson A. de Oliveira" <naoliv@debian.org>:
New Bug report received and forwarded. Copy sent to naoliv@debian.org, Debian Install System Team <debian-boot@lists.debian.org>. (Thu, 16 Sep 2010 13:03:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Nelson A. de Oliveira" <naoliv@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: debian-installer: Failed to create a file system with kfreebsd-amd64
Date: Thu, 16 Sep 2010 10:01:57 -0300
[Message part 1 (text/plain, inline)]
Package: debian-installer
Severity: important
Tags: d-i

Hi!

Using
http://d-i.debian.org/daily-images/kfreebsd-amd64/20100916-10:40/netboot/mini.iso
on an USB flashdrive (dd if=mini.iso of=/dev/sdb) to install
kfreebsd-amd64 on a machine.

Booted, selected language, create the partitions but after selecting to
write the partitions to the disk I get an error message with the title
"Failed to create a file system", containing "The ufs system creation in
this partition #5 of ATA5 (ad4) failed."
Indeed, on a terminal I can see that there is no such partition in /dev

The disk has already two primary NTFS partitions and I was creating one
logical / with 34 GB, one logical /home with 130 GB and one logical swap
partition with 2 GB.

Thinking that the problem could be me, I returned and select the guided
partitioner. It created the partitions (with the sizes described at
#597087) but failed again, when trying to write the changes on the disk.

Using win32-loader-standalone.exe (from win32-loader 0.6.19) to install
kfreebsd-amd64 gave the same error.

hardware-summary, partman and syslog logs are attached.

What can I do to debug this issue, please?

Thank you very much!

Best regards,
Nelson

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing-proposed-updates
  APT policy: (500, 'testing-proposed-updates'), (500, 'testing'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.35-trunk-686 (SMP w/2 CPU cores)
Locale: LANG=pt_BR.utf8, LC_CTYPE=pt_BR.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
[hardware-summary.gz (application/x-gzip, attachment)]
[partman.gz (application/x-gzip, attachment)]
[syslog.gz (application/x-gzip, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#597088; Package debian-installer. (Fri, 17 Sep 2010 18:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Fri, 17 Sep 2010 18:00:03 GMT) Full text and rfc822 format available.

Message #10 received at 597088@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: "Nelson A. de Oliveira" <naoliv@debian.org>, 597088@bugs.debian.org
Subject: Re: Bug#597088: debian-installer: Failed to create a file system with kfreebsd-amd64
Date: Fri, 17 Sep 2010 19:56:46 +0200
[Message part 1 (text/plain, inline)]
reassign 597088 partman-ufs
thanks

Quoting Nelson A. de Oliveira (naoliv@debian.org):

> What can I do to debug this issue, please?

Probably look in console 4 to see whether something is
displayed. Alternatively, swith to console2, open a shell there and
look into /var/log/syslog


[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package 'debian-installer' to 'partman-ufs'. Request was from Christian PERRIER <bubulle@debian.org> to control@bugs.debian.org. (Fri, 17 Sep 2010 18:00:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#597088; Package partman-ufs. (Fri, 17 Sep 2010 22:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Nelson A. de Oliveira" <naoliv@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Fri, 17 Sep 2010 22:03:05 GMT) Full text and rfc822 format available.

Message #17 received at 597088@bugs.debian.org (full text, mbox):

From: "Nelson A. de Oliveira" <naoliv@debian.org>
To: Christian PERRIER <bubulle@debian.org>
Cc: 597088@bugs.debian.org
Subject: Re: Bug#597088: debian-installer: Failed to create a file system with kfreebsd-amd64
Date: Fri, 17 Sep 2010 19:01:26 -0300
Hi!

On Fri, Sep 17, 2010 at 2:56 PM, Christian PERRIER <bubulle@debian.org> wrote:
> Quoting Nelson A. de Oliveira (naoliv@debian.org):
>
>> What can I do to debug this issue, please?
>
> Probably look in console 4 to see whether something is
> displayed. Alternatively, swith to console2, open a shell there and
> look into /var/log/syslog

There was a lot of this on the other console:
Sep 16 11:55:04 kernel: GEOM: ad4: partition 2 does not end on a track boundary.
Sep 16 11:55:04 kernel: GEOM: ad4: partition 1 does not start on a
track boundary.
Sep 16 11:55:04 kernel: GEOM: ad4: partition 1 does not end on a track boundary.
Sep 16 11:55:04 kernel: GEOM: ad4: partition 3 does not start on a
track boundary.
Sep 16 11:55:04 kernel: GEOM: ad4: partition 3 does not end on a track boundary.
Sep 16 11:55:04 kernel: GEOM: ad4: partition 2 does not start on a
track boundary.
Sep 16 11:55:04 kernel: GEOM: ad4: partition 2 does not end on a track boundary.
Sep 16 11:55:04 kernel: GEOM: ad4: partition 1 does not start on a
track boundary.

Also, the full syslog is already attached on the bug report.

Thank you!

Best regards,
Nelson




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#597088; Package partman-ufs. (Sat, 18 Sep 2010 13:24:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sat, 18 Sep 2010 13:24:11 GMT) Full text and rfc822 format available.

Message #22 received at 597088@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: "Nelson A. de Oliveira" <naoliv@debian.org>, 597088@bugs.debian.org
Cc: cjwatson@debian.org
Subject: Re: Bug#597088: debian-installer: Failed to create a file system with kfreebsd-amd64
Date: Sat, 18 Sep 2010 08:28:11 +0200
[Message part 1 (text/plain, inline)]
Quoting Nelson A. de Oliveira (naoliv@debian.org):

> > Probably look in console 4 to see whether something is
> > displayed. Alternatively, swith to console2, open a shell there and
> > look into /var/log/syslog
> 
> There was a lot of this on the other console:

Hmmm, that could indeed be the problem, yes.

partman recently had changes related to partition alignment. You were
using the up-to-date version (144) along with libparted-udeb 0.23-2

Colin, any idea about this problem?


> Also, the full syslog is already attached on the bug report.


Yes, sorry for not noticing in your initial bug report. Thanks.


[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#597088; Package partman-ufs. (Fri, 24 Sep 2010 12:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Nelson A. de Oliveira" <naoliv@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Fri, 24 Sep 2010 12:57:06 GMT) Full text and rfc822 format available.

Message #27 received at 597088@bugs.debian.org (full text, mbox):

From: "Nelson A. de Oliveira" <naoliv@debian.org>
To: 597088@bugs.debian.org
Subject: The same issue from #593733
Date: Fri, 24 Sep 2010 09:55:16 -0300
Hi!

It seems to be the same issue from #593733

Best regards,
Nelson




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#597088; Package partman-ufs. (Sat, 27 Nov 2010 14:21:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sat, 27 Nov 2010 14:21:10 GMT) Full text and rfc822 format available.

Message #32 received at 597088@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: "Nelson A. de Oliveira" <naoliv@debian.org>
Cc: 597088@bugs.debian.org, Christian PERRIER <bubulle@debian.org>
Subject: Re: Bug#597088: debian-installer: Failed to create a file system with kfreebsd-amd64
Date: Sat, 27 Nov 2010 15:16:40 +0100
> > There was a lot of this on the other console:
> > Sep 16 11:55:04 kernel: GEOM: ad4: partition 2 does not end on a track boundary.
> > Sep 16 11:55:04 kernel: GEOM: ad4: partition 1 does not start on a track boundary.
>
> Hmmm, that could indeed be the problem, yes.

It's a red herring, see #603380

> partman recently had changes related to partition alignment. You were
> using the up-to-date version (144) along with libparted-udeb 0.23-2

Parted switched to 2048-aligned partitions. kFreeBSD complains if partitions
are not 63-aligned, but that doesn't prevent it from using them.

-- 
Robert Millan




Bug reassigned from package 'partman-ufs' to 'kfreebsd-8'. Request was from Miguel Figueiredo <elmig@debianpt.org> to control@bugs.debian.org. (Thu, 03 Feb 2011 23:33:07 GMT) Full text and rfc822 format available.

Forcibly Merged 593733 597088 602129. Request was from Miguel Figueiredo <elmig@debianpt.org> to control@bugs.debian.org. (Thu, 03 Feb 2011 23:39:08 GMT) Full text and rfc822 format available.

Message #37 received at 593733-done@bugs.debian.org (full text, mbox):

From: Debian FTP Masters <ftpmaster@ftp-master.debian.org>
To: 550429-done@bugs.debian.org,570805-done@bugs.debian.org,593733-done@bugs.debian.org,601273-done@bugs.debian.org,602120-done@bugs.debian.org,610252-done@bugs.debian.org,614419-done@bugs.debian.org,631613-done@bugs.debian.org,641167-done@bugs.debian.org,644353-done@bugs.debian.org,644718-done@bugs.debian.org,658617-done@bugs.debian.org,669604-done@bugs.debian.org,687788-done@bugs.debian.org,690986-done@bugs.debian.org,706418-done@bugs.debian.org,720470-done@bugs.debian.org,720476-done@bugs.debian.org,
Cc: kfreebsd-8@packages.debian.org, kfreebsd-8@packages.qa.debian.org
Subject: Bug#721540: Removed package(s) from unstable
Date: Mon, 02 Sep 2013 21:16:43 +0000
Version: 8.3-7+rm

Dear submitter,

as the package kfreebsd-8 has just been removed from the Debian archive
unstable we hereby close the associated bug reports.  We are sorry
that we couldn't deal with your issue properly.

For details on the removal, please see http://bugs.debian.org/721540

The version of this package that was in Debian prior to this removal
can still be found using http://snapshot.debian.org/.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@ftp-master.debian.org.

Debian distribution maintenance software
pp.
Luca Falavigna (the ftpmaster behind the curtain)



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 01 Oct 2013 07:34:40 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 13:45:30 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.